Bug 106726 - Default KDE short date format ignored in smart playlists
Summary: Default KDE short date format ignored in smart playlists
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlists/Saved Playlists (show other bugs)
Version: 2.0-SVN
Platform: unspecified Linux
: VLO minor with 20 votes (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-03 14:05 UTC by colin
Modified: 2008-08-07 02:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description colin 2005-06-03 14:05:15 UTC
Version:           1.2.3 (using KDE 3.3.2%2C%2520%2520%283.1%29)
Compiler:          gcc%2520version%25203.3.6%2520%28Debian%25201%253A3.3.6-5%29
OS:                Linux%2520%28i686%29%2520release%25202.4.22-xfs

When creating a smart playlist based on the modified date of files, my default KDE short date format (YYYY-MM-DD) is ignored, and Amarok insists I use MM-DD-YYYY is used.
Comment 1 Marc Cramdal 2006-07-04 11:56:17 UTC
This can't be fixed properly until we have a orderFormat method in KLocale returning a QDateEdit::Order based on the short date format.
Comment 2 Harald Sitter 2007-08-02 10:55:22 UTC
Someone please have a look at this for Amarok 2.0
Comment 3 Lydia Pintscher 2008-08-05 22:42:36 UTC
Still a problem in Amarok 2 it seems.
Comment 4 Daniel Caleb Jones 2008-08-07 02:26:41 UTC
SVN commit 843337 by djones:

Turn on auto-complete.
Choose dates the KDE way. (By stealing a widget from kfind.)
Add descriptions to the add bias buttons.

BUG: 106726


 M  +1 -0      CMakeLists.txt  
 M  +6 -2      browsers/playlistbrowser/DynamicBiasModel.cpp  
 M  +49 -23    browsers/playlistbrowser/DynamicBiasWidgets.cpp  
 M  +3 -3      browsers/playlistbrowser/DynamicBiasWidgets.h  
 A             widgets/kdatecombo.cpp   [License: UNKNOWN]
 A             widgets/kdatecombo.h   [License: UNKNOWN]


WebSVN link: http://websvn.kde.org/?view=rev&revision=843337